Index: cpukit/Makefile.am
===================================================================
--- cpukit/Makefile.am	(revision 9d9b6b56d1ecf0d8918556835fa0f83289140791)
+++ cpukit/Makefile.am	(revision 92b6f6e9c9ced4edcb132e517314a6f4e772a7e9)
@@ -106,6 +106,12 @@
 include_rtems_HEADERS += include/rtems/status-checks.h
 
+include_rtems_HEADERS += include/rtems/endian.h
+
 include_rtems_HEADERS += include/rtems/btimer.h
-include_rtems_HEADERS += include/rtems/endian.h
+include_rtems_HEADERS += include/rtems/console.h
+include_rtems_HEADERS += include/rtems/clockdrv.h
+include_rtems_HEADERS += include/rtems/framebuffer.h
+include_rtems_HEADERS += include/rtems/rtc.h
+include_rtems_HEADERS += include/rtems/watchdogdrv.h
 
 ## should be conditional and only installed for PowerPC, x86, and ARM
Index: cpukit/include/rtems/clockdrv.h
===================================================================
--- cpukit/include/rtems/clockdrv.h	(revision 92b6f6e9c9ced4edcb132e517314a6f4e772a7e9)
+++ cpukit/include/rtems/clockdrv.h	(revision 92b6f6e9c9ced4edcb132e517314a6f4e772a7e9)
@@ -0,0 +1,49 @@
+/**
+ * @file
+ *
+ * @brief Clock Driver for all Boards
+ *
+ * This file describes the Clock Driver for all boards.
+ */
+
+/*
+ *  COPYRIGHT (c) 1989-2011.
+ *  On-Line Applications Research Corporation (OAR).
+ *
+ *  The license and distribution terms for this file may be
+ *  found in the file LICENSE in this distribution or at
+ *  http://www.rtems.org/license/LICENSE.
+ */
+
+#ifndef _RTEMS_CLOCKDRV_H
+#define _RTEMS_CLOCKDRV_H
+
+#include <rtems/io.h> /* rtems_device_driver */
+
+#ifdef __cplusplus
+extern "C" {
+#endif
+
+/* variables */
+
+extern volatile uint32_t   Clock_driver_ticks;
+
+/* default clock driver entry */
+
+#define CLOCK_DRIVER_TABLE_ENTRY \
+  { Clock_initialize, NULL, NULL, NULL, NULL, NULL }
+
+rtems_device_driver Clock_initialize(
+  rtems_device_major_number,
+  rtems_device_minor_number,
+  void *
+);
+
+void Clock_exit(void);
+
+#ifdef __cplusplus
+}
+#endif
+
+#endif
+/* end of include file */
Index: cpukit/include/rtems/console.h
===================================================================
--- cpukit/include/rtems/console.h	(revision 92b6f6e9c9ced4edcb132e517314a6f4e772a7e9)
+++ cpukit/include/rtems/console.h	(revision 92b6f6e9c9ced4edcb132e517314a6f4e772a7e9)
@@ -0,0 +1,155 @@
+/**
+ * @file
+ * 
+ * @brief Console Driver for all Boards
+ *
+ * This file describes the Console Device Driver for all boards.
+ * This driver provides support for the standard C Library.
+ */
+
+/*
+ *  COPYRIGHT (c) 1989-2011.
+ *  On-Line Applications Research Corporation (OAR).
+ *
+ *  The license and distribution terms for this file may be
+ *  found in the file LICENSE in this distribution or at
+ *  http://www.rtems.org/license/LICENSE.
+ */
+
+#ifndef _RTEMS_CONSOLE_H
+#define _RTEMS_CONSOLE_H
+
+#include <rtems/io.h> /* rtems_device_driver */
+
+#ifdef __cplusplus
+extern "C" {
+#endif
+
+/**
+ * This macro defines the standard name for the console device
+ * that is available to applications.
+ */
+#define CONSOLE_DEVICE_NAME "/dev/console"
+
+/**
+ * This macro defines the standard device driver table entry for
+ * a console device driver.
+ */
+#define CONSOLE_DRIVER_TABLE_ENTRY \
+  { console_initialize, console_open, console_close, \
+    console_read, console_write, console_control }
+
+/**
+ * @brief Console initialization entry point.
+ *
+ * This method initializes the console device driver.
+ *
+ * @param[in] major is the device driver major number.
+ * @param[in] minor is the device driver minor number.
+ * @param[in] arg is the parameters to this call.
+ *
+ * @retval RTEMS_SUCCESSFUL The device driver is successfully initialized.
+ */
+rtems_device_driver console_initialize(
+  rtems_device_major_number  major,
+  rtems_device_minor_number  minor,
+  void                      *arg
+);
+
+/**
+ * @brief Console open entry point.
+ *
+ * This method opens a specific device supported by the
+ * console device driver.
+ *
+ * @param[in] major is the device driver major number
+ * @param[in] minor is the device driver minor number
+ * @param[in] arg is the parameters to this call
+ *
+ * @retval RTEMS_SUCCESSFUL The device driver is successfully opened.
+ */
+rtems_device_driver console_open(
+  rtems_device_major_number  major,
+  rtems_device_minor_number  minor,
+  void                      *arg
+);
+
+/**
+ * @brief Console close entry point.
+ *
+ * This method closes a specific device supported by the
+ * console device driver.
+ *
+ * @param[in] major is the device driver major number
+ * @param[in] minor is the device driver minor number
+ * @param[in] arg is the parameters to this call
+ *
+ * @retval RTEMS_SUCCESSFUL The device driver is successfully closed.
+ */
+rtems_device_driver console_close(
+  rtems_device_major_number  major,
+  rtems_device_minor_number  minor,
+  void                      *arg
+);
+
+/**
+ * @brief Console read entry point.
+ *
+ * This method reads from a specific device supported by the
+ * console device driver.
+ *
+ * @param[in] major is the device driver major number
+ * @param[in] minor is the device driver minor number
+ * @param[in] arg is the parameters to this call
+ *
+ * @retval RTEMS_SUCCESSFUL The device is successfully read from.
+ */
+rtems_device_driver console_read(
+  rtems_device_major_number  major,
+  rtems_device_minor_number  minor,
+  void                      *arg
+);
+
+/**
+ * @brief Console write entry point.
+ *
+ * This method writes to a specific device supported by the
+ * console device driver.
+ *
+ * @param[in] major is the device driver major number
+ * @param[in] minor is the device driver minor number
+ * @param[in] arg is the parameters to this call
+ *
+ * @retval RTEMS_SUCCESSFUL The device is successfully written.
+ */
+rtems_device_driver console_write(
+  rtems_device_major_number  major,
+  rtems_device_minor_number  minor,
+  void                      *arg
+);
+
+/**
+ * @brief Console IO control entry point.
+ *
+ * This method performs an IO Control operation on a
+ * specific device supported by the console device driver.
+ *
+ * @param[in] major is the device driver major number
+ * @param[in] minor is the device driver minor number
+ * @param[in] arg is the parameters to this call
+ * 
+ * @retval RTEMS_SUCCESSFUL the device driver IO control operation is
+ *         successfully performed.
+ */
+rtems_device_driver console_control(
+  rtems_device_major_number  major,
+  rtems_device_minor_number  minor,
+  void                      *arg
+);
+
+#ifdef __cplusplus
+}
+#endif
+
+#endif
+/* end of include file */
Index: cpukit/include/rtems/framebuffer.h
===================================================================
--- cpukit/include/rtems/framebuffer.h	(revision 92b6f6e9c9ced4edcb132e517314a6f4e772a7e9)
+++ cpukit/include/rtems/framebuffer.h	(revision 92b6f6e9c9ced4edcb132e517314a6f4e772a7e9)
@@ -0,0 +1,168 @@
+/**
+ * @file rtems/framebuffer.h
+ *
+ * @brief Frame Buffer Device Driver for all Boards
+ *
+ * This file describes the Frame Buffer Device Driver for all boards.
+ */
+
+/*
+ *  COPYRIGHT (c) 1989-2011.
+ *  On-Line Applications Research Corporation (OAR).
+ *
+ *  The license and distribution terms for this file may be
+ *  found in the file LICENSE in this distribution or at
+ *  http://www.rtems.org/license/LICENSE.
+ */
+
+#ifndef __RTEMS_FRAMEBUFFER_h__
+#define __RTEMS_FRAMEBUFFER_h__
+
+#include <rtems/io.h>
+
+#ifdef __cplusplus
+extern "C" {
+#endif
+
+/**
+ *  This macro defines the standard name for the frame buffer device
+ *  that is available to applications.
+ */
+#define FRAMEBUFFER_DEVICE_NAME "/dev/fb"
+
+/**
+ * @brief Standard device file path of first frame buffer device.
+ *
+ * This device is the default frame buffer device for the Microwindows Screen
+ * Driver.
+ */
+#define FRAMEBUFFER_DEVICE_0_NAME "/dev/fb0"
+
+/**
+ *  This macro defines the standard device driver table entry for
+ *  a frame buffer device driver.
+ */
+#define FRAME_BUFFER_DRIVER_TABLE_ENTRY \
+  { frame_buffer_initialize, frame_buffer_open, frame_buffer_close, \
+    frame_buffer_read, frame_buffer_write, frame_buffer_control }
+
+/**
+ *  @brief Frame Buffer Initialization Entry Point
+ *
+ *  This method initializes the frame buffer device driver.
+ *
+ *  @param[in] major is the device driver major number
+ *  @param[in] minor is the device driver minor number
+ *  @param[in] arg is the parameters to this call
+ *
+ *  @return This method returns RTEMS_SUCCESSFUL when
+ *          the device driver is successfully initialized.
+ */
+rtems_device_driver frame_buffer_initialize(
+  rtems_device_major_number  major,
+  rtems_device_minor_number  minor,
+  void                      *arg
+);
+
+/**
+ *  @brief Frame Buffer Open Entry Point
+ *
+ *  This method opens a specific device supported by the
+ *  frame buffer device driver.
+ *
+ *  @param[in] major is the device driver major number
+ *  @param[in] minor is the device driver minor number
+ *  @param[in] arg is the parameters to this call
+ *
+ *  @return This method returns RTEMS_SUCCESSFUL when
+ *          the device driver is successfully opened.
+ */
+rtems_device_driver frame_buffer_open(
+  rtems_device_major_number  major,
+  rtems_device_minor_number  minor,
+  void                      *arg
+);
+
+/**
+ *  @brief Frame Buffer Close Entry Point
+ *
+ *  This method closes a specific device supported by the
+ *  frame buffer device driver.
+ *
+ *  @param[in] major is the device driver major number
+ *  @param[in] minor is the device driver minor number
+ *  @param[in] arg is the parameters to this call
+ *
+ *  @return This method returns RTEMS_SUCCESSFUL when
+ *          the device is successfully closed.
+ */
+rtems_device_driver frame_buffer_close(
+  rtems_device_major_number  major,
+  rtems_device_minor_number  minor,
+  void                      *arg
+);
+
+/**
+ *  @brief Frame Buffer Read Entry Point
+ *
+ *  This method reads from a specific device supported by the
+ *  frame buffer device driver.
+ *
+ *  @param[in] major is the device driver major number
+ *  @param[in] minor is the device driver minor number
+ *  @param[in] arg is the parameters to this call
+ *
+ *  @return This method returns RTEMS_SUCCESSFUL when
+ *          the device is successfully read from.
+ */
+rtems_device_driver frame_buffer_read(
+  rtems_device_major_number  major,
+  rtems_device_minor_number  minor,
+  void                      *arg
+);
+
+/**
+ *  @brief Frame Buffer Write Entry Point
+ *
+ *  This method writes to a specific device supported by the
+ *  frame buffer device driver.
+ *
+ *  @param[in] major is the device driver major number
+ *  @param[in] minor is the device driver minor number
+ *  @param[in] arg is the parameters to this call
+ *
+ *  @return This method returns RTEMS_SUCCESSFUL when
+ *          the device is successfully written.
+ */
+rtems_device_driver frame_buffer_write(
+  rtems_device_major_number  major,
+  rtems_device_minor_number  minor,
+  void                      *arg
+);
+
+/**
+ *  @brief Frame Buffer IO Control Entry Point
+ *
+ *  This method performs an IO Control operation on a
+ *  specific device supported by the frame buffer device driver.
+ *
+ *  @param[in] major is the device driver major number
+ *  @param[in] minor is the device driver minor number
+ *  @param[in] arg is the parameters to this call
+ *
+ *  @return This method returns RTEMS_SUCCESSFUL when
+ *          the device driver IO control operation is
+ *          successfully performed.
+ */
+rtems_device_driver frame_buffer_control(
+  rtems_device_major_number  major,
+  rtems_device_minor_number  minor,
+  void                      *arg
+);
+
+#ifdef __cplusplus
+}
+#endif
+
+#endif
+/* end of include file */
Index: cpukit/include/rtems/rtc.h
===================================================================
--- cpukit/include/rtems/rtc.h	(revision 92b6f6e9c9ced4edcb132e517314a6f4e772a7e9)
+++ cpukit/include/rtems/rtc.h	(revision 92b6f6e9c9ced4edcb132e517314a6f4e772a7e9)
@@ -0,0 +1,115 @@
+/**
+ * @file
+ *
+ * @brief Real-Time Clock Driver Interface
+ * 
+ * Real-time clock driver interface.
+ */
+
+/*
+ *  COPYRIGHT (c) 1989-2001.
+ *  On-Line Applications Research Corporation (OAR).
+ *
+ *  The license and distribution terms for this file may be
+ *  found in the file LICENSE in this distribution or at
+ *  http://www.rtems.org/license/LICENSE.
+ */
+
+#ifndef _RTEMS_RTC_H
+#define _RTEMS_RTC_H
+
+#include <rtems.h>
+
+#ifdef __cplusplus
+extern "C" {
+#endif
+
+/**
+ * @defgroup rtems_rtc Real-Time Clock Driver Interface
+ *
+ * This driver interface provides support to read and set the real-time clock
+ * and to initialize the time of day for the system.
+ */
+/**@{**/
+
+/**
+ * Device file name path.
+ */
+#define RTC_DEVICE_NAME "/dev/rtc"
+
+/**
+ * Device driver table entry.
+ */
+#define RTC_DRIVER_TABLE_ENTRY \
+  { rtc_initialize, rtc_open, rtc_close, \
+    rtc_read, rtc_write, rtc_control }
+
+/**
+ * Initializes the real-time clock device and sets the time of day for the
+ * system.
+ *
+ * If the real-time clock provides an invalid time of day value the system time
+ * of day must remain untouched.
+ */
+rtems_device_driver rtc_initialize(
+  rtems_device_major_number,
+  rtems_device_minor_number,
+  void *
+);
+
+/**
+ * Opens the real-time clock device.
+ */
+rtems_device_driver rtc_open(
+  rtems_device_major_number,
+  rtems_device_minor_number,
+  void *
+);
+
+/**
+ * Closes the real-time clock device.
+ */
+rtems_device_driver rtc_close(
+  rtems_device_major_number,
+  rtems_device_minor_number,
+  void *
+);
+
+/**
+ * Reads the real-time clock value.
+ *
+ * The value will be returned in a @ref rtems_time_of_day structure.
+ */
+rtems_device_driver rtc_read(
+  rtems_device_major_number,
+  rtems_device_minor_number,
+  void *
+);
+
+/**
+ * Sets the real-time clock value.
+ *
+ * The value will be set from a @ref rtems_time_of_day structure.
+ */
+rtems_device_driver rtc_write(
+  rtems_device_major_number,
+  rtems_device_minor_number,
+  void *
+);
+
+/**
+ * Controls the real-time clock.
+ */
+rtems_device_driver rtc_control(
+  rtems_device_major_number,
+  rtems_device_minor_number,
+  void *
+);
+
+/** @} */
+
+#ifdef __cplusplus
+}
+#endif
+
+#endif
Index: cpukit/include/rtems/watchdogdrv.h
===================================================================
--- cpukit/include/rtems/watchdogdrv.h	(revision 92b6f6e9c9ced4edcb132e517314a6f4e772a7e9)
+++ cpukit/include/rtems/watchdogdrv.h	(revision 92b6f6e9c9ced4edcb132e517314a6f4e772a7e9)
@@ -0,0 +1,71 @@
+/**
+ * @file rtems/watchdogdrv.h
+ *
+ *  This file describes the Watchdog Driver for all boards.
+ *  A watchdog is a hardware device that will reset the board
+ *  if not touched in a specific way at a regular interval.
+ *  It is a simple, yet important, part of many embedded systems.
+ */
+
+/*
+ *
+ *  COPYRIGHT (c) 1989-2008.
+ *  On-Line Applications Research Corporation (OAR).
+ *
+ *  The license and distribution terms for this file may be
+ *  found in the file LICENSE in this distribution or at
+ *  http://www.rtems.org/license/LICENSE.
+ */
+
+#ifndef _RTEMS_WATCHDOGDRV_H
+#define _RTEMS_WATCHDOGDRV_H
+
+#ifdef __cplusplus
+extern "C" {
+#endif
+
+/**
+ *  This macro defines the watchdog device driver entry points.
+ */
+#define WATCHDOG_DRIVER_TABLE_ENTRY \
+  { Watchdog_initialize, NULL, NULL, NULL, NULL, Watchdog_control }
+
+/**
+ *  @brief Watchdog Driver Initialization
+ *
+ *  This method initializes the watchdog hardware device.  The device
+ *  should be initialized as DISABLED since BSP initialization may
+ *  take longer than the timeout period for the watchdog.
+ *
+ *  @param[in] major is the watchdog device major number
+ *  @param[in] minor is the watchdog device minor number
+ *  @param[in] arguments points to device driver arguments
+ */
+rtems_device_driver Watchdog_initialize(
+  rtems_device_major_number  major,
+  rtems_device_minor_number  minor,
+  void                      *arguments
+);
+
+/**
+ *  @brief Watchdog Driver IO Control
+ *
+ *  This method implements the IO Control device driver entry
+ *  point for the watchdog hardware device.
+ *
+ *  @param[in] major is the watchdog device major number
+ *  @param[in] minor is the watchdog device minor number
+ *  @param[in] arguments points to device driver arguments
+ */
+rtems_device_driver Watchdog_control(
+  rtems_device_major_number  major,
+  rtems_device_minor_number  minor,
+  void                      *arguments
+);
+
+#ifdef __cplusplus
+}
+#endif
+
+#endif
+/* end of include file */
Index: cpukit/libcsupport/Makefile.am
===================================================================
--- cpukit/libcsupport/Makefile.am	(revision 9d9b6b56d1ecf0d8918556835fa0f83289140791)
+++ cpukit/libcsupport/Makefile.am	(revision 92b6f6e9c9ced4edcb132e517314a6f4e772a7e9)
@@ -7,10 +7,6 @@
 
 include_rtemsdir = $(includedir)/rtems
-include_rtems_HEADERS = include/console.h
-include_rtems_HEADERS += include/clockdrv.h
-include_rtems_HEADERS += include/rtems/framebuffer.h
-include_rtems_HEADERS += include/iosupp.h
+include_rtems_HEADERS  = include/iosupp.h
 include_rtems_HEADERS += include/ringbuf.h
-include_rtems_HEADERS += include/rtc.h
 include_rtems_HEADERS += include/rtems/tod.h
 include_rtems_HEADERS += include/spurious.h
Index: ukit/libcsupport/include/clockdrv.h
===================================================================
--- cpukit/libcsupport/include/clockdrv.h	(revision 9d9b6b56d1ecf0d8918556835fa0f83289140791)
+++ 	(revision )
@@ -1,49 +1,0 @@
-/**
- * @file
- *
- * @brief Clock Driver for all Boards
- *
- * This file describes the Clock Driver for all boards.
- */
-
-/*
- *  COPYRIGHT (c) 1989-2011.
- *  On-Line Applications Research Corporation (OAR).
- *
- *  The license and distribution terms for this file may be
- *  found in the file LICENSE in this distribution or at
- *  http://www.rtems.org/license/LICENSE.
- */
-
-#ifndef _RTEMS_CLOCKDRV_H
-#define _RTEMS_CLOCKDRV_H
-
-#include <rtems/io.h> /* rtems_device_driver */
-
-#ifdef __cplusplus
-extern "C" {
-#endif
-
-/* variables */
-
-extern volatile uint32_t   Clock_driver_ticks;
-
-/* default clock driver entry */
-
-#define CLOCK_DRIVER_TABLE_ENTRY \
-  { Clock_initialize, NULL, NULL, NULL, NULL, NULL }
-
-rtems_device_driver Clock_initialize(
-  rtems_device_major_number,
-  rtems_device_minor_number,
-  void *
-);
-
-void Clock_exit(void);
-
-#ifdef __cplusplus
-}
-#endif
-
-#endif
-/* end of include file */
Index: ukit/libcsupport/include/console.h
===================================================================
--- cpukit/libcsupport/include/console.h	(revision 9d9b6b56d1ecf0d8918556835fa0f83289140791)
+++ 	(revision )
@@ -1,155 +1,0 @@
-/**
- * @file
- * 
- * @brief Console Driver for all Boards
- *
- * This file describes the Console Device Driver for all boards.
- * This driver provides support for the standard C Library.
- */
-
-/*
- *  COPYRIGHT (c) 1989-2011.
- *  On-Line Applications Research Corporation (OAR).
- *
- *  The license and distribution terms for this file may be
- *  found in the file LICENSE in this distribution or at
- *  http://www.rtems.org/license/LICENSE.
- */
-
-#ifndef _RTEMS_CONSOLE_H
-#define _RTEMS_CONSOLE_H
-
-#include <rtems/io.h> /* rtems_device_driver */
-
-#ifdef __cplusplus
-extern "C" {
-#endif
-
-/**
- * This macro defines the standard name for the console device
- * that is available to applications.
- */
-#define CONSOLE_DEVICE_NAME "/dev/console"
-
-/**
- * This macro defines the standard device driver table entry for
- * a console device driver.
- */
-#define CONSOLE_DRIVER_TABLE_ENTRY \
-  { console_initialize, console_open, console_close, \
-    console_read, console_write, console_control }
-
-/**
- * @brief Console initialization entry point.
- *
- * This method initializes the console device driver.
- *
- * @param[in] major is the device driver major number.
- * @param[in] minor is the device driver minor number.
- * @param[in] arg is the parameters to this call.
- *
- * @retval RTEMS_SUCCESSFUL The device driver is successfully initialized.
- */
-rtems_device_driver console_initialize(
-  rtems_device_major_number  major,
-  rtems_device_minor_number  minor,
-  void                      *arg
-);
-
-/**
- * @brief Console open entry point.
- *
- * This method opens a specific device supported by the
- * console device driver.
- *
- * @param[in] major is the device driver major number
- * @param[in] minor is the device driver minor number
- * @param[in] arg is the parameters to this call
- *
- * @retval RTEMS_SUCCESSFUL The device driver is successfully opened.
- */
-rtems_device_driver console_open(
-  rtems_device_major_number  major,
-  rtems_device_minor_number  minor,
-  void                      *arg
-);
-
-/**
- * @brief Console close entry point.
- *
- * This method closes a specific device supported by the
- * console device driver.
- *
- * @param[in] major is the device driver major number
- * @param[in] minor is the device driver minor number
- * @param[in] arg is the parameters to this call
- *
- * @retval RTEMS_SUCCESSFUL The device driver is successfully closed.
- */
-rtems_device_driver console_close(
-  rtems_device_major_number  major,
-  rtems_device_minor_number  minor,
-  void                      *arg
-);
-
-/**
- * @brief Console read entry point.
- *
- * This method reads from a specific device supported by the
- * console device driver.
- *
- * @param[in] major is the device driver major number
- * @param[in] minor is the device driver minor number
- * @param[in] arg is the parameters to this call
- *
- * @retval RTEMS_SUCCESSFUL The device is successfully read from.
- */
-rtems_device_driver console_read(
-  rtems_device_major_number  major,
-  rtems_device_minor_number  minor,
-  void                      *arg
-);
-
-/**
- * @brief Console write entry point.
- *
- * This method writes to a specific device supported by the
- * console device driver.
- *
- * @param[in] major is the device driver major number
- * @param[in] minor is the device driver minor number
- * @param[in] arg is the parameters to this call
- *
- * @retval RTEMS_SUCCESSFUL The device is successfully written.
- */
-rtems_device_driver console_write(
-  rtems_device_major_number  major,
-  rtems_device_minor_number  minor,
-  void                      *arg
-);
-
-/**
- * @brief Console IO control entry point.
- *
- * This method performs an IO Control operation on a
- * specific device supported by the console device driver.
- *
- * @param[in] major is the device driver major number
- * @param[in] minor is the device driver minor number
- * @param[in] arg is the parameters to this call
- * 
- * @retval RTEMS_SUCCESSFUL the device driver IO control operation is
- *         successfully performed.
- */
-rtems_device_driver console_control(
-  rtems_device_major_number  major,
-  rtems_device_minor_number  minor,
-  void                      *arg
-);
-
-#ifdef __cplusplus
-}
-#endif
-
-#endif
-/* end of include file */
Index: ukit/libcsupport/include/rtc.h
===================================================================
--- cpukit/libcsupport/include/rtc.h	(revision 9d9b6b56d1ecf0d8918556835fa0f83289140791)
+++ 	(revision )
@@ -1,115 +1,0 @@
-/**
- * @file
- *
- * @brief Real-Time Clock Driver Interface
- * 
- * Real-time clock driver interface.
- */
-
-/*
- *  COPYRIGHT (c) 1989-2001.
- *  On-Line Applications Research Corporation (OAR).
- *
- *  The license and distribution terms for this file may be
- *  found in the file LICENSE in this distribution or at
- *  http://www.rtems.org/license/LICENSE.
- */
-
-#ifndef _RTEMS_RTC_H
-#define _RTEMS_RTC_H
-
-#include <rtems.h>
-
-#ifdef __cplusplus
-extern "C" {
-#endif
-
-/**
- * @defgroup rtems_rtc Real-Time Clock Driver Interface
- *
- * This driver interface provides support to read and set the real-time clock
- * and to initialize the time of day for the system.
- */
-/**@{**/
-
-/**
- * Device file name path.
- */
-#define RTC_DEVICE_NAME "/dev/rtc"
-
-/**
- * Device driver table entry.
- */
-#define RTC_DRIVER_TABLE_ENTRY \
-  { rtc_initialize, rtc_open, rtc_close, \
-    rtc_read, rtc_write, rtc_control }
-
-/**
- * Initializes the real-time clock device and sets the time of day for the
- * system.
- *
- * If the real-time clock provides an invalid time of day value the system time
- * of day must remain untouched.
- */
-rtems_device_driver rtc_initialize(
-  rtems_device_major_number,
-  rtems_device_minor_number,
-  void *
-);
-
-/**
- * Opens the real-time clock device.
- */
-rtems_device_driver rtc_open(
-  rtems_device_major_number,
-  rtems_device_minor_number,
-  void *
-);
-
-/**
- * Closes the real-time clock device.
- */
-rtems_device_driver rtc_close(
-  rtems_device_major_number,
-  rtems_device_minor_number,
-  void *
-);
-
-/**
- * Reads the real-time clock value.
- *
- * The value will be returned in a @ref rtems_time_of_day structure.
- */
-rtems_device_driver rtc_read(
-  rtems_device_major_number,
-  rtems_device_minor_number,
-  void *
-);
-
-/**
- * Sets the real-time clock value.
- *
- * The value will be set from a @ref rtems_time_of_day structure.
- */
-rtems_device_driver rtc_write(
-  rtems_device_major_number,
-  rtems_device_minor_number,
-  void *
-);
-
-/**
- * Controls the real-time clock.
- */
-rtems_device_driver rtc_control(
-  rtems_device_major_number,
-  rtems_device_minor_number,
-  void *
-);
-
-/** @} */
-
-#ifdef __cplusplus
-}
-#endif
-
-#endif
Index: ukit/libcsupport/include/rtems/framebuffer.h
===================================================================
--- cpukit/libcsupport/include/rtems/framebuffer.h	(revision 9d9b6b56d1ecf0d8918556835fa0f83289140791)
+++ 	(revision )
@@ -1,168 +1,0 @@
-/**
- * @file rtems/framebuffer.h
- *
- * @brief Frame Buffer Device Driver for all Boards
- *
- * This file describes the Frame Buffer Device Driver for all boards.
- */
-
-/*
- *  COPYRIGHT (c) 1989-2011.
- *  On-Line Applications Research Corporation (OAR).
- *
- *  The license and distribution terms for this file may be
- *  found in the file LICENSE in this distribution or at
- *  http://www.rtems.org/license/LICENSE.
- */
-
-#ifndef __RTEMS_FRAMEBUFFER_h__
-#define __RTEMS_FRAMEBUFFER_h__
-
-#include <rtems/io.h>
-
-#ifdef __cplusplus
-extern "C" {
-#endif
-
-/**
- *  This macro defines the standard name for the frame buffer device
- *  that is available to applications.
- */
-#define FRAMEBUFFER_DEVICE_NAME "/dev/fb"
-
-/**
- * @brief Standard device file path of first frame buffer device.
- *
- * This device is the default frame buffer device for the Microwindows Screen
- * Driver.
- */
-#define FRAMEBUFFER_DEVICE_0_NAME "/dev/fb0"
-
-/**
- *  This macro defines the standard device driver table entry for
- *  a frame buffer device driver.
- */
-#define FRAME_BUFFER_DRIVER_TABLE_ENTRY \
-  { frame_buffer_initialize, frame_buffer_open, frame_buffer_close, \
-    frame_buffer_read, frame_buffer_write, frame_buffer_control }
-
-/**
- *  @brief Frame Buffer Initialization Entry Point
- *
- *  This method initializes the frame buffer device driver.
- *
- *  @param[in] major is the device driver major number
- *  @param[in] minor is the device driver minor number
- *  @param[in] arg is the parameters to this call
- *
- *  @return This method returns RTEMS_SUCCESSFUL when
- *          the device driver is successfully initialized.
- */
-rtems_device_driver frame_buffer_initialize(
-  rtems_device_major_number  major,
-  rtems_device_minor_number  minor,
-  void                      *arg
-);
-
-/**
- *  @brief Frame Buffer Open Entry Point
- *
- *  This method opens a specific device supported by the
- *  frame buffer device driver.
- *
- *  @param[in] major is the device driver major number
- *  @param[in] minor is the device driver minor number
- *  @param[in] arg is the parameters to this call
- *
- *  @return This method returns RTEMS_SUCCESSFUL when
- *          the device driver is successfully opened.
- */
-rtems_device_driver frame_buffer_open(
-  rtems_device_major_number  major,
-  rtems_device_minor_number  minor,
-  void                      *arg
-);
-
-/**
- *  @brief Frame Buffer Close Entry Point
- *
- *  This method closes a specific device supported by the
- *  frame buffer device driver.
- *
- *  @param[in] major is the device driver major number
- *  @param[in] minor is the device driver minor number
- *  @param[in] arg is the parameters to this call
- *
- *  @return This method returns RTEMS_SUCCESSFUL when
- *          the device is successfully closed.
- */
-rtems_device_driver frame_buffer_close(
-  rtems_device_major_number  major,
-  rtems_device_minor_number  minor,
-  void                      *arg
-);
-
-/**
- *  @brief Frame Buffer Read Entry Point
- *
- *  This method reads from a specific device supported by the
- *  frame buffer device driver.
- *
- *  @param[in] major is the device driver major number
- *  @param[in] minor is the device driver minor number
- *  @param[in] arg is the parameters to this call
- *
- *  @return This method returns RTEMS_SUCCESSFUL when
- *          the device is successfully read from.
- */
-rtems_device_driver frame_buffer_read(
-  rtems_device_major_number  major,
-  rtems_device_minor_number  minor,
-  void                      *arg
-);
-
-/**
- *  @brief Frame Buffer Write Entry Point
- *
- *  This method writes to a specific device supported by the
- *  frame buffer device driver.
- *
- *  @param[in] major is the device driver major number
- *  @param[in] minor is the device driver minor number
- *  @param[in] arg is the parameters to this call
- *
- *  @return This method returns RTEMS_SUCCESSFUL when
- *          the device is successfully written.
- */
-rtems_device_driver frame_buffer_write(
-  rtems_device_major_number  major,
-  rtems_device_minor_number  minor,
-  void                      *arg
-);
-
-/**
- *  @brief Frame Buffer IO Control Entry Point
- *
- *  This method performs an IO Control operation on a
- *  specific device supported by the frame buffer device driver.
- *
- *  @param[in] major is the device driver major number
- *  @param[in] minor is the device driver minor number
- *  @param[in] arg is the parameters to this call
- *
- *  @return This method returns RTEMS_SUCCESSFUL when
- *          the device driver IO control operation is
- *          successfully performed.
- */
-rtems_device_driver frame_buffer_control(
-  rtems_device_major_number  major,
-  rtems_device_minor_number  minor,
-  void                      *arg
-);
-
-#ifdef __cplusplus
-}
-#endif
-
-#endif
-/* end of include file */
Index: ukit/libcsupport/include/rtems/watchdogdrv.h
===================================================================
--- cpukit/libcsupport/include/rtems/watchdogdrv.h	(revision 9d9b6b56d1ecf0d8918556835fa0f83289140791)
+++ 	(revision )
@@ -1,71 +1,0 @@
-/**
- * @file rtems/watchdogdrv.h
- *
- *  This file describes the Watchdog Driver for all boards.
- *  A watchdog is a hardware device that will reset the board
- *  if not touched in a specific way at a regular interval.
- *  It is a simple, yet important, part of many embedded systems.
- */
-
-/*
- *
- *  COPYRIGHT (c) 1989-2008.
- *  On-Line Applications Research Corporation (OAR).
- *
- *  The license and distribution terms for this file may be
- *  found in the file LICENSE in this distribution or at
- *  http://www.rtems.org/license/LICENSE.
- */
-
-#ifndef _RTEMS_WATCHDOGDRV_H
-#define _RTEMS_WATCHDOGDRV_H
-
-#ifdef __cplusplus
-extern "C" {
-#endif
-
-/**
- *  This macro defines the watchdog device driver entry points.
- */
-#define WATCHDOG_DRIVER_TABLE_ENTRY \
-  { Watchdog_initialize, NULL, NULL, NULL, NULL, Watchdog_control }
-
-/**
- *  @brief Watchdog Driver Initialization
- *
- *  This method initializes the watchdog hardware device.  The device
- *  should be initialized as DISABLED since BSP initialization may
- *  take longer than the timeout period for the watchdog.
- *
- *  @param[in] major is the watchdog device major number
- *  @param[in] minor is the watchdog device minor number
- *  @param[in] arguments points to device driver arguments
- */
-rtems_device_driver Watchdog_initialize(
-  rtems_device_major_number  major,
-  rtems_device_minor_number  minor,
-  void                      *arguments
-);
-
-/**
- *  @brief Watchdog Driver IO Control
- *
- *  This method implements the IO Control device driver entry
- *  point for the watchdog hardware device.
- *
- *  @param[in] major is the watchdog device major number
- *  @param[in] minor is the watchdog device minor number
- *  @param[in] arguments points to device driver arguments
- */
-rtems_device_driver Watchdog_control(
-  rtems_device_major_number  major,
-  rtems_device_minor_number  minor,
-  void                      *arguments
-);
-
-#ifdef __cplusplus
-}
-#endif
-
-#endif
-/* end of include file */
Index: cpukit/libcsupport/preinstall.am
===================================================================
--- cpukit/libcsupport/preinstall.am	(revision 9d9b6b56d1ecf0d8918556835fa0f83289140791)
+++ cpukit/libcsupport/preinstall.am	(revision 92b6f6e9c9ced4edcb132e517314a6f4e772a7e9)
@@ -19,16 +19,4 @@
 PREINSTALL_DIRS += $(PROJECT_INCLUDE)/rtems/$(dirstamp)
 
-$(PROJECT_INCLUDE)/rtems/console.h: include/console.h $(PROJECT_INCLUDE)/rtems/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/console.h
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/console.h
-
-$(PROJECT_INCLUDE)/rtems/clockdrv.h: include/clockdrv.h $(PROJECT_INCLUDE)/rtems/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/clockdrv.h
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/clockdrv.h
-
-$(PROJECT_INCLUDE)/rtems/framebuffer.h: include/rtems/framebuffer.h $(PROJECT_INCLUDE)/rtems/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/framebuffer.h
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/framebuffer.h
-
 $(PROJECT_INCLUDE)/rtems/iosupp.h: include/iosupp.h $(PROJECT_INCLUDE)/rtems/$(dirstamp)
 	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/iosupp.h
@@ -38,8 +26,4 @@
 	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/ringbuf.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/ringbuf.h
-
-$(PROJECT_INCLUDE)/rtems/rtc.h: include/rtc.h $(PROJECT_INCLUDE)/rtems/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/rtc.h
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/rtc.h
 
 $(PROJECT_INCLUDE)/rtems/tod.h: include/rtems/tod.h $(PROJECT_INCLUDE)/rtems/$(dirstamp)
Index: cpukit/preinstall.am
===================================================================
--- cpukit/preinstall.am	(revision 9d9b6b56d1ecf0d8918556835fa0f83289140791)
+++ cpukit/preinstall.am	(revision 92b6f6e9c9ced4edcb132e517314a6f4e772a7e9)
@@ -246,11 +246,31 @@
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/status-checks.h
 
+$(PROJECT_INCLUDE)/rtems/endian.h: include/rtems/endian.h $(PROJECT_INCLUDE)/rtems/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/endian.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/endian.h
+
 $(PROJECT_INCLUDE)/rtems/btimer.h: include/rtems/btimer.h $(PROJECT_INCLUDE)/rtems/$(dirstamp)
 	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/btimer.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/btimer.h
 
-$(PROJECT_INCLUDE)/rtems/endian.h: include/rtems/endian.h $(PROJECT_INCLUDE)/rtems/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/endian.h
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/endian.h
+$(PROJECT_INCLUDE)/rtems/console.h: include/rtems/console.h $(PROJECT_INCLUDE)/rtems/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/console.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/console.h
+
+$(PROJECT_INCLUDE)/rtems/clockdrv.h: include/rtems/clockdrv.h $(PROJECT_INCLUDE)/rtems/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/clockdrv.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/clockdrv.h
+
+$(PROJECT_INCLUDE)/rtems/framebuffer.h: include/rtems/framebuffer.h $(PROJECT_INCLUDE)/rtems/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/framebuffer.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/framebuffer.h
+
+$(PROJECT_INCLUDE)/rtems/rtc.h: include/rtems/rtc.h $(PROJECT_INCLUDE)/rtems/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/rtc.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/rtc.h
+
+$(PROJECT_INCLUDE)/rtems/watchdogdrv.h: include/rtems/watchdogdrv.h $(PROJECT_INCLUDE)/rtems/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/watchdogdrv.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/watchdogdrv.h
 
 $(PROJECT_INCLUDE)/rtems/irq.h: include/rtems/irq.h $(PROJECT_INCLUDE)/rtems/$(dirstamp)
